sql server 2008 – What causes Java Runtime Environment (JRE) version 1.7 is not supported by this driver… at runtime in my servlet?

sql server 2008 – What causes Java Runtime Environment (JRE) version 1.7 is not supported by this driver… at runtime in my servlet?

According to your own screenshot you are referencing both sqljdbc.jar and sqljdbc4.jar. You should only reference one (in this case: sqljdbc4.jar).

These jar files contain the same driver classes (although the exact implementation might be different). The classloader loads the classes from the first jar on the classpath, and ignores those in the second as it has already loaded a class with the same name.

sql server 2008 – What causes Java Runtime Environment (JRE) version 1.7 is not supported by this driver… at runtime in my servlet?

Leave a Reply

Your email address will not be published. Required fields are marked *